Bug 611068 - (django-picklefield) Review Request: django-picklefield - Implementation of a pickled object field
Review Request: django-picklefield - Implementation of a pickled object field
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: python-celery
  Show dependency treegraph
 
Reported: 2010-07-03 08:07 EDT by Fabian Affolter
Modified: 2011-07-25 23:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: django-picklefield-0.1.9-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-13 02:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
metherid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-07-03 08:07:08 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/django-picklefield.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/django-picklefield-0.1.6-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/django-picklefield

Description:
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694 by
Taavi Taijala, which is in turn based on Django snippet #513 by
Oliver Beattie.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291981

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint django-picklefield-0.1.6-1.fc13.src.rpm
django-picklefield.src: W: spelling-error %description -l en_US picklable -> pickle, picklock, pickerel
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop011 noarch]$ rpmlint django-picklefield-0.1.6-1.fc13.noarch.rpm 
django-picklefield.noarch: W: spelling-error %description -l en_US picklable -> pickle, picklock, pickerel
django-picklefield.noarch: E: zero-length /usr/lib/python2.6/site-packages/picklefield/models.py
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 1 Ruediger Landmann 2010-10-29 18:39:15 EDT
Thanks Fabian; looks pretty good. rpmlint doesn't like the word "picklable", but this neologism is used upstream, so I don't see a problem here. 

It looks like Django needs the empty models.py file in order to load the app -- could you please confirm this before I approve this review? (a comment in the spec file would have been nice, to save me from researching this myself :) )

 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
      $ rpmlint SPECS/django-picklefield.spec 
      0 packages and 1 specfiles checked; 0 errors, 0 warnings.
      $ rpmlint SRPMS/django-picklefield-0.1.6-1.fc13.src.rpm 
      django-picklefield.src: W: spelling-error %description -l en_US picklable -> pickle, picklock, pickerel
      1 packages and 0 specfiles checked; 0 errors, 1 warnings.
      $ rpmlint RPMS/noarch/django-picklefield-0.1.6-1.fc13.noarch.rpm 
      django-picklefield.noarch: W: spelling-error %description -l en_US picklable -> pickle, picklock, pickerel
      django-picklefield.noarch: E: zero-length /usr/lib/python2.6/site-packages/picklefield/models.py
      1 packages and 0 specfiles checked; 1 errors, 1 warnings.
 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: MIT
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
  (md5sum: 915b25f06fa56245090eab00fd848624)
 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2564620
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [-] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

=== SUGGESTED ITEMS ===

 [/] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [/] Reviewer should test that the package builds in mock.
     Tested through koji
 [/] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: f13
 [/] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] Subpackages other than -devel require the base package as a fully versioned
dependency
 [-] The placement of pkgconfig(.pc) files is correct (normally in -devel)
 [-] File based requires are sane.
 [-] Package contains man pages for binaries and scripts.
Comment 2 Fabian Affolter 2011-03-26 13:31:29 EDT
(In reply to comment #1)
> It looks like Django needs the empty models.py file in order to load the app --
> could you please confirm this before I approve this review? (a comment in the
> spec file would have been nice, to save me from researching this myself :) )

I'm sorry that you wasted your time because of my lazyness. Yes, the model.py is needed. I'm saying this without being an expert on Django modules.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/django-picklefield.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/django-picklefield-0.1.9-1.fc14.src.rpm
Comment 3 Rahul Sundaram 2011-06-23 10:01:33 EDT
Ruediger Landmann,  can you kindly approve this package?  I require this as a dependency of something else I am packaging
Comment 4 Rahul Sundaram 2011-06-28 23:15:37 EDT
I am taking over the review since reminders to Ruediger Landmann here as well as offlist haven't been answered.  

The following is redundant unless you are building for EPEL as well

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%clean
rm -rf %{buildroot}

%defattr(-,root,root,-)

I would consider removing these.  Not a blocker however

                   ==== APPROVED ====
Comment 5 Rahul Sundaram 2011-07-09 06:08:19 EDT
Any update?
Comment 6 Fabian Affolter 2011-07-09 06:30:24 EDT
New Package SCM Request
=======================
Package Name: django-picklefield
Short Description: Implementation of a pickled object field
Owners: fab
Branches: F14, F15
InitialCC:
Comment 7 Jon Ciesla 2011-07-09 19:14:18 EDT
Git done (by process-git-requests).
Comment 8 Rahul Sundaram 2011-07-12 01:31:25 EDT
Package Change Request
======================
Package Name: django-picklefield
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 9 Jon Ciesla 2011-07-12 08:39:57 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-07-14 10:47:59 EDT
django-picklefield-0.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/django-picklefield-0.1.9-1.fc14
Comment 11 Fedora Update System 2011-07-14 10:48:14 EDT
django-picklefield-0.1.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-picklefield-0.1.9-1.fc15
Comment 12 Fedora Update System 2011-07-25 23:41:05 EDT
django-picklefield-0.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-07-25 23:44:49 EDT
django-picklefield-0.1.9-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.